<template>
    <div class="list">
        <div class="container">
            <div v-for="(risk, idx) in risks" :key="idx">
                <RiskForm :risk="risk"></RiskForm>
            </div>
        </div>
    </div>
</template>

<script>
import RiskForm from "../components/RiskForm";
import { apiService } from "../common/api.service.js";

export default {
    name: "list",
    props: ["risk"],
    components: {
        RiskForm
    },
    data() {
        return {
            risks: []
        };
    },
    methods: {
        getRisks() {
            let endpoint = "api/risks/";
            apiService(endpoint).then(data => {
                this.risks.push(...data);
            });
        }
    },
    created() {
        document.title = "List of Risks";
        this.getRisks();
    }
};
</script>

<style>
</style>